Arch Raster

From FreeCAD Documentation
Revision as of 14:26, 25 August 2020 by Maker (talk | contribs) (Created page with "Das {{Button|16px Arch Gitter}} Werkzeug Werkzeug ermöglicht es dir, ein gitterartiges Objekt im Dokument zu platzieren. Dieses Objek...")

Arch Gitter

Menüeintrag
Arch → Achsenwerkzeuge → Gitter
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch Achse, Arch AchsenSystem

Beschreibung

Das Arch Gitter Werkzeug Werkzeug ermöglicht es dir, ein gitterartiges Objekt im Dokument zu platzieren. Dieses Objekt soll als Basis für die Erstellung von Arch Objekten dienen, die einen regelmäßigen, aber komplexen Rahmen benötigen, wie z.B. Fenster, Vorhangfassaden, Säulengitter, Geländer usw. Das Gitterobjekt ist wie eine Tabellenkalkulation bearbeitbar, in der du Spalten und Zeilen hinzufügst oder entfernst, ihre Größe definierst und Zellen zusammenführen kannst.

The Grid is a 2D object, and can therefore be used anywhere a 2D shape such as a Draft or Sketch is needed, but it can also behave as a Arch AxisSystem, and be used to propagate the placement of other Arch objects.

Eine Anordnung von Säulen, ein Geländersystem und ein Fenster, die jeweils auf einem Arch Gitter Objekt basieren.

Anwendung

  1. Press the Arch Grid button.
  2. Set the Width and Height of the grid in the properties.
  3. Enter edit mode by double-clicking the grid object in the tree view.
  4. Add rows and columns.
  5. Set the desired width and height of rows and columns by double-clicking the row or column headers.

Optionen

  • A column width or row height of 0 means its size will be adapted automatically to fit the total width/height of the grid.
  • Cells can be merged and unmerged by selecting them and clicking the appropriate button.
  • When used as the DatenAxis property of other Arch objects, the grid will drive the positioning of these objects. The DatenPoints Output property defines how the other objects are placed on the grid: At vertices, edge midpoints or face centers.
  • By setting the DatenAuto Height or DatenAuto Width properties to a non-zero value, the total number of rows/columns and their individual heights/widths is ignored. Instead, the maximum number of columns or rows of the given auto width/height get automatically created.

Eigenschaften

  • DatenRows: The number of rows
  • DatenColumns: The number of columns
  • DatenRow Size: The sizes for rows
  • DatenColumn Size: The sizes of columns
  • DatenPoints Output: The type of 3D points produced by this grid object
  • DatenWidth: The total width of this grid
  • DatenHeight: The total height of this grid
  • DatenAuto Width: Creates automatic column divisions (set to 0 to disable)
  • DatenAuto Height: Creates automatic row divisions (set to 0 to disable)
  • DatenReorient: When in edge midpoint mode, if this grid must reorient its children along edge normals or not
  • DatenHidden Faces: The indices of faces to hide

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

The Grid tool can be used in macros and from the Python console by using the following function:

Grid = makeGrid(name="Grid")
  • Creates a Grid object.

Its Width, Height, Rows, and Columns attributes can be changed directly to define the appearance of the grid.

import FreeCAD, Draft, Arch
Grid = Arch.makeGrid()

Grid.Width = 5000
Grid.Height = 5000
Grid.Rows = 4
Grid.Columns = 6
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = Grid
FreeCAD.ActiveDocument.recompute()